cURL PHP C# Python Node.js Java
curl -X DELETE "https://sandbox-api.biklo.com/v1/product-groups/ERP-GROUP-1/products/237224" \
-H "Authorization: Bearer bk_test_YOUR_KEY" <?php
$ch = curl_init('https://sandbox-api.biklo.com/v1/product-groups/ERP-GROUP-1/products/237224' );
curl_setopt_array($ch , [
CURLOPT_RETURNTRANSFER => true ,
CURLOPT_CUSTOMREQUEST => 'DELETE' ,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer bk_test_YOUR_KEY' ,
],
]);
$response = json_decode(curl_exec($ch ), true );
curl_close($ch );
using System.Net.Http;
using System.Net.Http.Headers;
var client = new HttpClient();
client.DefaultRequestHeaders.Authorization =
new AuthenticationHeaderValue("Bearer" , "bk_test_YOUR_KEY" );
var request = new HttpRequestMessage(
new HttpMethod("DELETE" ),
"https://sandbox-api.biklo.com/v1/product-groups/ERP-GROUP-1/products/237224" );
var response = await client.SendAsync(request);
var json = await response.Content.ReadAsStringAsync();
import requests
response = requests.delete(
"https://sandbox-api.biklo.com/v1/product-groups/ERP-GROUP-1/products/237224" ,
headers={"Authorization" : "Bearer bk_test_YOUR_KEY" },
)
data = response.json()
const response = await fetch("https://sandbox-api.biklo.com/v1/product-groups/ERP-GROUP-1/products/237224" , {
method: "DELETE" ,
headers: {
Authorization: "Bearer bk_test_YOUR_KEY"
}
});
const data = await response.json();
import java.net.http.*;
import java.net.URI;
var client = HttpClient.newHttpClient();
var request = HttpRequest.newBuilder()
.uri(URI.create("https://sandbox-api.biklo.com/v1/product-groups/ERP-GROUP-1/products/237224" ))
.header("Authorization" , "Bearer bk_test_YOUR_KEY" )
.method("DELETE" , HttpRequest.BodyPublishers.noBody())
.build();
var response = client.send(request, HttpResponse.BodyHandlers.ofString());